package graphicselements;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class Shape extends BaseEntityCMP {
	
	private List points = new ArrayList();

	private ArrayList lines = new ArrayList();
	
	private static long counter = 0;

	private String name = getClass().getName() + "$" + counter++;

	private Color backgroundColour;

	private Map colorOfLines = new HashMap();
	
	private Picture picture;
	
	public Shape(){
	}
	
	public Shape(Picture picture) {
		this.picture = picture;
	}
	
	public Picture getPicture() {
		return picture;
	}

	public void setColorForLines(List colors){
		for (int i = 0; i < lines.size(); i++) {
			colorOfLines.put(lines.get(i), colors.get(i %colors.size()));
		}
	}

	public List getPoints() {
		return points;
	}

	public ArrayList getLines() {
		return lines;
	}

	public String getName() {
		return name;
	}

	public void setName(String aName) {
		name = aName;
	}

	public Color getBackgroundColour() {
		return backgroundColour;
	}

	public void setBackgroundColour(Color backgroundColour) {
		this.backgroundColour = backgroundColour;
	}

	public Map getColorOfLines() {
		return colorOfLines;
	}

	public void setColorOfLines(Map colorOfLines) {
		this.colorOfLines = colorOfLines;
	}



}
